Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network203.0.113.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
203.0.113.0
Broadcast address
203.0.113.255
First usable
203.0.113.1
Last usable
203.0.113.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Documentation (TEST-NET-3) 203.0.113.0/24
For examples; never used on a network
Old class
C (default /24)
As numbers
Hex CB007100 · Integer 3405803776 to 3405804031
Reverse DNS zone
113.0.203.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001011.00000000.01110001..00000000203.0.113.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11001011.00000000.01110001..00000000203.0.113.0
Broadcast11001011.00000000.01110001..11111111203.0.113.255
Split into smaller subnets/32

203.0.113.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1203.0.113.0/32203.0.113.0 to 203.0.113.0—1
2203.0.113.1/32203.0.113.1 to 203.0.113.1—1
3203.0.113.2/32203.0.113.2 to 203.0.113.2—1
4203.0.113.3/32203.0.113.3 to 203.0.113.3—1
5203.0.113.4/32203.0.113.4 to 203.0.113.4—1
6203.0.113.5/32203.0.113.5 to 203.0.113.5—1
7203.0.113.6/32203.0.113.6 to 203.0.113.6—1
8203.0.113.7/32203.0.113.7 to 203.0.113.7—1
9203.0.113.8/32203.0.113.8 to 203.0.113.8—1
10203.0.113.9/32203.0.113.9 to 203.0.113.9—1
11203.0.113.10/32203.0.113.10 to 203.0.113.10—1
12203.0.113.11/32203.0.113.11 to 203.0.113.11—1
13203.0.113.12/32203.0.113.12 to 203.0.113.12—1
14203.0.113.13/32203.0.113.13 to 203.0.113.13—1
15203.0.113.14/32203.0.113.14 to 203.0.113.14—1
16203.0.113.15/32203.0.113.15 to 203.0.113.15—1
17203.0.113.16/32203.0.113.16 to 203.0.113.16—1
18203.0.113.17/32203.0.113.17 to 203.0.113.17—1
19203.0.113.18/32203.0.113.18 to 203.0.113.18—1
20203.0.113.19/32203.0.113.19 to 203.0.113.19—1
21203.0.113.20/32203.0.113.20 to 203.0.113.20—1
22203.0.113.21/32203.0.113.21 to 203.0.113.21—1
23203.0.113.22/32203.0.113.22 to 203.0.113.22—1
24203.0.113.23/32203.0.113.23 to 203.0.113.23—1
25203.0.113.24/32203.0.113.24 to 203.0.113.24—1
26203.0.113.25/32203.0.113.25 to 203.0.113.25—1
27203.0.113.26/32203.0.113.26 to 203.0.113.26—1
28203.0.113.27/32203.0.113.27 to 203.0.113.27—1
29203.0.113.28/32203.0.113.28 to 203.0.113.28—1
30203.0.113.29/32203.0.113.29 to 203.0.113.29—1
31203.0.113.30/32203.0.113.30 to 203.0.113.30—1
32203.0.113.31/32203.0.113.31 to 203.0.113.31—1
33203.0.113.32/32203.0.113.32 to 203.0.113.32—1
34203.0.113.33/32203.0.113.33 to 203.0.113.33—1
35203.0.113.34/32203.0.113.34 to 203.0.113.34—1
36203.0.113.35/32203.0.113.35 to 203.0.113.35—1
37203.0.113.36/32203.0.113.36 to 203.0.113.36—1
38203.0.113.37/32203.0.113.37 to 203.0.113.37—1
39203.0.113.38/32203.0.113.38 to 203.0.113.38—1
40203.0.113.39/32203.0.113.39 to 203.0.113.39—1
41203.0.113.40/32203.0.113.40 to 203.0.113.40—1
42203.0.113.41/32203.0.113.41 to 203.0.113.41—1
43203.0.113.42/32203.0.113.42 to 203.0.113.42—1
44203.0.113.43/32203.0.113.43 to 203.0.113.43—1
45203.0.113.44/32203.0.113.44 to 203.0.113.44—1
46203.0.113.45/32203.0.113.45 to 203.0.113.45—1
47203.0.113.46/32203.0.113.46 to 203.0.113.46—1
48203.0.113.47/32203.0.113.47 to 203.0.113.47—1
49203.0.113.48/32203.0.113.48 to 203.0.113.48—1
50203.0.113.49/32203.0.113.49 to 203.0.113.49—1
51203.0.113.50/32203.0.113.50 to 203.0.113.50—1
52203.0.113.51/32203.0.113.51 to 203.0.113.51—1
53203.0.113.52/32203.0.113.52 to 203.0.113.52—1
54203.0.113.53/32203.0.113.53 to 203.0.113.53—1
55203.0.113.54/32203.0.113.54 to 203.0.113.54—1
56203.0.113.55/32203.0.113.55 to 203.0.113.55—1
57203.0.113.56/32203.0.113.56 to 203.0.113.56—1
58203.0.113.57/32203.0.113.57 to 203.0.113.57—1
59203.0.113.58/32203.0.113.58 to 203.0.113.58—1
60203.0.113.59/32203.0.113.59 to 203.0.113.59—1
61203.0.113.60/32203.0.113.60 to 203.0.113.60—1
62203.0.113.61/32203.0.113.61 to 203.0.113.61—1
63203.0.113.62/32203.0.113.62 to 203.0.113.62—1
64203.0.113.63/32203.0.113.63 to 203.0.113.63—1
65203.0.113.64/32203.0.113.64 to 203.0.113.64—1
66203.0.113.65/32203.0.113.65 to 203.0.113.65—1
67203.0.113.66/32203.0.113.66 to 203.0.113.66—1
68203.0.113.67/32203.0.113.67 to 203.0.113.67—1
69203.0.113.68/32203.0.113.68 to 203.0.113.68—1
70203.0.113.69/32203.0.113.69 to 203.0.113.69—1
71203.0.113.70/32203.0.113.70 to 203.0.113.70—1
72203.0.113.71/32203.0.113.71 to 203.0.113.71—1
73203.0.113.72/32203.0.113.72 to 203.0.113.72—1
74203.0.113.73/32203.0.113.73 to 203.0.113.73—1
75203.0.113.74/32203.0.113.74 to 203.0.113.74—1
76203.0.113.75/32203.0.113.75 to 203.0.113.75—1
77203.0.113.76/32203.0.113.76 to 203.0.113.76—1
78203.0.113.77/32203.0.113.77 to 203.0.113.77—1
79203.0.113.78/32203.0.113.78 to 203.0.113.78—1
80203.0.113.79/32203.0.113.79 to 203.0.113.79—1
81203.0.113.80/32203.0.113.80 to 203.0.113.80—1
82203.0.113.81/32203.0.113.81 to 203.0.113.81—1
83203.0.113.82/32203.0.113.82 to 203.0.113.82—1
84203.0.113.83/32203.0.113.83 to 203.0.113.83—1
85203.0.113.84/32203.0.113.84 to 203.0.113.84—1
86203.0.113.85/32203.0.113.85 to 203.0.113.85—1
87203.0.113.86/32203.0.113.86 to 203.0.113.86—1
88203.0.113.87/32203.0.113.87 to 203.0.113.87—1
89203.0.113.88/32203.0.113.88 to 203.0.113.88—1
90203.0.113.89/32203.0.113.89 to 203.0.113.89—1
91203.0.113.90/32203.0.113.90 to 203.0.113.90—1
92203.0.113.91/32203.0.113.91 to 203.0.113.91—1
93203.0.113.92/32203.0.113.92 to 203.0.113.92—1
94203.0.113.93/32203.0.113.93 to 203.0.113.93—1
95203.0.113.94/32203.0.113.94 to 203.0.113.94—1
96203.0.113.95/32203.0.113.95 to 203.0.113.95—1
97203.0.113.96/32203.0.113.96 to 203.0.113.96—1
98203.0.113.97/32203.0.113.97 to 203.0.113.97—1
99203.0.113.98/32203.0.113.98 to 203.0.113.98—1
100203.0.113.99/32203.0.113.99 to 203.0.113.99—1
101203.0.113.100/32203.0.113.100 to 203.0.113.100—1
102203.0.113.101/32203.0.113.101 to 203.0.113.101—1
103203.0.113.102/32203.0.113.102 to 203.0.113.102—1
104203.0.113.103/32203.0.113.103 to 203.0.113.103—1
105203.0.113.104/32203.0.113.104 to 203.0.113.104—1
106203.0.113.105/32203.0.113.105 to 203.0.113.105—1
107203.0.113.106/32203.0.113.106 to 203.0.113.106—1
108203.0.113.107/32203.0.113.107 to 203.0.113.107—1
109203.0.113.108/32203.0.113.108 to 203.0.113.108—1
110203.0.113.109/32203.0.113.109 to 203.0.113.109—1
111203.0.113.110/32203.0.113.110 to 203.0.113.110—1
112203.0.113.111/32203.0.113.111 to 203.0.113.111—1
113203.0.113.112/32203.0.113.112 to 203.0.113.112—1
114203.0.113.113/32203.0.113.113 to 203.0.113.113—1
115203.0.113.114/32203.0.113.114 to 203.0.113.114—1
116203.0.113.115/32203.0.113.115 to 203.0.113.115—1
117203.0.113.116/32203.0.113.116 to 203.0.113.116—1
118203.0.113.117/32203.0.113.117 to 203.0.113.117—1
119203.0.113.118/32203.0.113.118 to 203.0.113.118—1
120203.0.113.119/32203.0.113.119 to 203.0.113.119—1
121203.0.113.120/32203.0.113.120 to 203.0.113.120—1
122203.0.113.121/32203.0.113.121 to 203.0.113.121—1
123203.0.113.122/32203.0.113.122 to 203.0.113.122—1
124203.0.113.123/32203.0.113.123 to 203.0.113.123—1
125203.0.113.124/32203.0.113.124 to 203.0.113.124—1
126203.0.113.125/32203.0.113.125 to 203.0.113.125—1
127203.0.113.126/32203.0.113.126 to 203.0.113.126—1
128203.0.113.127/32203.0.113.127 to 203.0.113.127—1
129203.0.113.128/32203.0.113.128 to 203.0.113.128—1
130203.0.113.129/32203.0.113.129 to 203.0.113.129—1
131203.0.113.130/32203.0.113.130 to 203.0.113.130—1
132203.0.113.131/32203.0.113.131 to 203.0.113.131—1
133203.0.113.132/32203.0.113.132 to 203.0.113.132—1
134203.0.113.133/32203.0.113.133 to 203.0.113.133—1
135203.0.113.134/32203.0.113.134 to 203.0.113.134—1
136203.0.113.135/32203.0.113.135 to 203.0.113.135—1
137203.0.113.136/32203.0.113.136 to 203.0.113.136—1
138203.0.113.137/32203.0.113.137 to 203.0.113.137—1
139203.0.113.138/32203.0.113.138 to 203.0.113.138—1
140203.0.113.139/32203.0.113.139 to 203.0.113.139—1
141203.0.113.140/32203.0.113.140 to 203.0.113.140—1
142203.0.113.141/32203.0.113.141 to 203.0.113.141—1
143203.0.113.142/32203.0.113.142 to 203.0.113.142—1
144203.0.113.143/32203.0.113.143 to 203.0.113.143—1
145203.0.113.144/32203.0.113.144 to 203.0.113.144—1
146203.0.113.145/32203.0.113.145 to 203.0.113.145—1
147203.0.113.146/32203.0.113.146 to 203.0.113.146—1
148203.0.113.147/32203.0.113.147 to 203.0.113.147—1
149203.0.113.148/32203.0.113.148 to 203.0.113.148—1
150203.0.113.149/32203.0.113.149 to 203.0.113.149—1
151203.0.113.150/32203.0.113.150 to 203.0.113.150—1
152203.0.113.151/32203.0.113.151 to 203.0.113.151—1
153203.0.113.152/32203.0.113.152 to 203.0.113.152—1
154203.0.113.153/32203.0.113.153 to 203.0.113.153—1
155203.0.113.154/32203.0.113.154 to 203.0.113.154—1
156203.0.113.155/32203.0.113.155 to 203.0.113.155—1
157203.0.113.156/32203.0.113.156 to 203.0.113.156—1
158203.0.113.157/32203.0.113.157 to 203.0.113.157—1
159203.0.113.158/32203.0.113.158 to 203.0.113.158—1
160203.0.113.159/32203.0.113.159 to 203.0.113.159—1
161203.0.113.160/32203.0.113.160 to 203.0.113.160—1
162203.0.113.161/32203.0.113.161 to 203.0.113.161—1
163203.0.113.162/32203.0.113.162 to 203.0.113.162—1
164203.0.113.163/32203.0.113.163 to 203.0.113.163—1
165203.0.113.164/32203.0.113.164 to 203.0.113.164—1
166203.0.113.165/32203.0.113.165 to 203.0.113.165—1
167203.0.113.166/32203.0.113.166 to 203.0.113.166—1
168203.0.113.167/32203.0.113.167 to 203.0.113.167—1
169203.0.113.168/32203.0.113.168 to 203.0.113.168—1
170203.0.113.169/32203.0.113.169 to 203.0.113.169—1
171203.0.113.170/32203.0.113.170 to 203.0.113.170—1
172203.0.113.171/32203.0.113.171 to 203.0.113.171—1
173203.0.113.172/32203.0.113.172 to 203.0.113.172—1
174203.0.113.173/32203.0.113.173 to 203.0.113.173—1
175203.0.113.174/32203.0.113.174 to 203.0.113.174—1
176203.0.113.175/32203.0.113.175 to 203.0.113.175—1
177203.0.113.176/32203.0.113.176 to 203.0.113.176—1
178203.0.113.177/32203.0.113.177 to 203.0.113.177—1
179203.0.113.178/32203.0.113.178 to 203.0.113.178—1
180203.0.113.179/32203.0.113.179 to 203.0.113.179—1
181203.0.113.180/32203.0.113.180 to 203.0.113.180—1
182203.0.113.181/32203.0.113.181 to 203.0.113.181—1
183203.0.113.182/32203.0.113.182 to 203.0.113.182—1
184203.0.113.183/32203.0.113.183 to 203.0.113.183—1
185203.0.113.184/32203.0.113.184 to 203.0.113.184—1
186203.0.113.185/32203.0.113.185 to 203.0.113.185—1
187203.0.113.186/32203.0.113.186 to 203.0.113.186—1
188203.0.113.187/32203.0.113.187 to 203.0.113.187—1
189203.0.113.188/32203.0.113.188 to 203.0.113.188—1
190203.0.113.189/32203.0.113.189 to 203.0.113.189—1
191203.0.113.190/32203.0.113.190 to 203.0.113.190—1
192203.0.113.191/32203.0.113.191 to 203.0.113.191—1
193203.0.113.192/32203.0.113.192 to 203.0.113.192—1
194203.0.113.193/32203.0.113.193 to 203.0.113.193—1
195203.0.113.194/32203.0.113.194 to 203.0.113.194—1
196203.0.113.195/32203.0.113.195 to 203.0.113.195—1
197203.0.113.196/32203.0.113.196 to 203.0.113.196—1
198203.0.113.197/32203.0.113.197 to 203.0.113.197—1
199203.0.113.198/32203.0.113.198 to 203.0.113.198—1
200203.0.113.199/32203.0.113.199 to 203.0.113.199—1
201203.0.113.200/32203.0.113.200 to 203.0.113.200—1
202203.0.113.201/32203.0.113.201 to 203.0.113.201—1
203203.0.113.202/32203.0.113.202 to 203.0.113.202—1
204203.0.113.203/32203.0.113.203 to 203.0.113.203—1
205203.0.113.204/32203.0.113.204 to 203.0.113.204—1
206203.0.113.205/32203.0.113.205 to 203.0.113.205—1
207203.0.113.206/32203.0.113.206 to 203.0.113.206—1
208203.0.113.207/32203.0.113.207 to 203.0.113.207—1
209203.0.113.208/32203.0.113.208 to 203.0.113.208—1
210203.0.113.209/32203.0.113.209 to 203.0.113.209—1
211203.0.113.210/32203.0.113.210 to 203.0.113.210—1
212203.0.113.211/32203.0.113.211 to 203.0.113.211—1
213203.0.113.212/32203.0.113.212 to 203.0.113.212—1
214203.0.113.213/32203.0.113.213 to 203.0.113.213—1
215203.0.113.214/32203.0.113.214 to 203.0.113.214—1
216203.0.113.215/32203.0.113.215 to 203.0.113.215—1
217203.0.113.216/32203.0.113.216 to 203.0.113.216—1
218203.0.113.217/32203.0.113.217 to 203.0.113.217—1
219203.0.113.218/32203.0.113.218 to 203.0.113.218—1
220203.0.113.219/32203.0.113.219 to 203.0.113.219—1
221203.0.113.220/32203.0.113.220 to 203.0.113.220—1
222203.0.113.221/32203.0.113.221 to 203.0.113.221—1
223203.0.113.222/32203.0.113.222 to 203.0.113.222—1
224203.0.113.223/32203.0.113.223 to 203.0.113.223—1
225203.0.113.224/32203.0.113.224 to 203.0.113.224—1
226203.0.113.225/32203.0.113.225 to 203.0.113.225—1
227203.0.113.226/32203.0.113.226 to 203.0.113.226—1
228203.0.113.227/32203.0.113.227 to 203.0.113.227—1
229203.0.113.228/32203.0.113.228 to 203.0.113.228—1
230203.0.113.229/32203.0.113.229 to 203.0.113.229—1
231203.0.113.230/32203.0.113.230 to 203.0.113.230—1
232203.0.113.231/32203.0.113.231 to 203.0.113.231—1
233203.0.113.232/32203.0.113.232 to 203.0.113.232—1
234203.0.113.233/32203.0.113.233 to 203.0.113.233—1
235203.0.113.234/32203.0.113.234 to 203.0.113.234—1
236203.0.113.235/32203.0.113.235 to 203.0.113.235—1
237203.0.113.236/32203.0.113.236 to 203.0.113.236—1
238203.0.113.237/32203.0.113.237 to 203.0.113.237—1
239203.0.113.238/32203.0.113.238 to 203.0.113.238—1
240203.0.113.239/32203.0.113.239 to 203.0.113.239—1
241203.0.113.240/32203.0.113.240 to 203.0.113.240—1
242203.0.113.241/32203.0.113.241 to 203.0.113.241—1
243203.0.113.242/32203.0.113.242 to 203.0.113.242—1
244203.0.113.243/32203.0.113.243 to 203.0.113.243—1
245203.0.113.244/32203.0.113.244 to 203.0.113.244—1
246203.0.113.245/32203.0.113.245 to 203.0.113.245—1
247203.0.113.246/32203.0.113.246 to 203.0.113.246—1
248203.0.113.247/32203.0.113.247 to 203.0.113.247—1
249203.0.113.248/32203.0.113.248 to 203.0.113.248—1
250203.0.113.249/32203.0.113.249 to 203.0.113.249—1
251203.0.113.250/32203.0.113.250 to 203.0.113.250—1
252203.0.113.251/32203.0.113.251 to 203.0.113.251—1
253203.0.113.252/32203.0.113.252 to 203.0.113.252—1
254203.0.113.253/32203.0.113.253 to 203.0.113.253—1
255203.0.113.254/32203.0.113.254 to 203.0.113.254—1
256203.0.113.255/32203.0.113.255 to 203.0.113.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses